Subject: [Fwd: Re: draft-ietf-kitten-extended-mech-inquiry-02.txt]

From: Jeffrey Altman <[email-masked]>
Date: Tue, 07 Nov 2006 08:34:26 -0800

Subject: Re: draft-ietf-kitten-extended-mech-inquiry-02.txt
From: Nicolas Williams <[email-masked]>
To: David Leonard <[email-masked]>
Cc: [email-masked]
Date: Tue, 7 Nov 2006 10:30:09 -0600

On Tue, Nov 07, 2006 at 10:43:25PM +1000, David Leonard wrote:
> Hi,
> 
> Comments regarding draft-ietf-kitten-extended-mech-inquiry-02.txt

These should be sent to the list.

> There is a typo in 3.3 "GSS_C_MA_WRAP wap" ... probably should be "wrap"

Indeed, thanks.

> Table 2's entry for GSS_C_MA_ITOK_FRAMED refers to rfc2743, not [RFC2743]

Will fix.

> In s3.5.1 I do not understand how GSS_BAD_MECH_ATTR could ever be 
> returned. I think it should be expected that a future caller could be 
> searching for an attribute OID that the implementation doesn't know about.

GSS_Indicate_mechs_by_attr() could just return an empty OID set instead
of GSS_BAD_MECH_ATTR.  See below.

> s 3.5.3 does not mention language/locale/encoding with the short_desc 
> and long_desc description output of GSS_Display_mech_attr(). Is that 
> deliberate? Could I assume it will sensitive to the 'current' locale, 
> and return UTF-8? I notice RFC2743 doesn't address this with the other 
> GSS_Display calls, so maybe this is addressed more generally?

RFC2743 does not address this, no.  RFC2744 says "Latin-1."

Our conclusio is that outputs from functions such as
GSS_Display_status() are in the codeset of the current locale and in the
language of the current locale.

> Also, in s3.5.3 would it be reasonable to allow the return of empty or 
> null descriptions from GSS_Display_mech_attr()?

I suppose so, or a string that says "description missing" or something
to the effect.  A complete implementation wouldn't, of course.

Note that here GSS_BAD_MECH_ATTR is useful.

Perhaps we should rename GSS_BAD_MECH_ATTR to GSS_UNKNOWN_MECH_ATTR.

Nico
-- 
_______________________________________________
Kitten mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/kitten